Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class DeviceTypeScript

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.script.common.bean.Script
ru.bitel.oss.systems.inventory.resource.common.bean.DeviceTypeScript

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class DeviceTypeScript
    extends Script

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DeviceTypeScript()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getDeviceTypeId()` |
  `java.util.Date` | `getModifyType()` |
  `int` | `getUserId()` | Возвращает userId(код) пользователя - автора ревизии.
  `java.lang.String` | `getUserTitle()` |
  `void` | `setDeviceTypeId​(int deviceTypeId)` |
  `void` | `setModifyType​(java.util.Date modifyType)` |
  `void` | `setUserId​(int userId)` | Устанавливает userID(код) пользователя - автора ревизии.
  `void` | `setUserTitle​(java.lang.String userTitle)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.script.common.bean.Script

  `getRevision, getScript, getTimeRevision, setRevision, setScript, setTimeRevision`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### DeviceTypeScript

    public DeviceTypeScript()

- ## Method Details

  - ### getDeviceTypeId

    public int getDeviceTypeId()

  - ### setDeviceTypeId

    public void setDeviceTypeId​(int deviceTypeId)

  - ### getModifyType

    public java.util.Date getModifyType()

  - ### setModifyType

    public void setModifyType​(java.util.Date modifyType)

  - ### getUserId

    public int getUserId()
    Description copied from class: `Script`
    Возвращает userId(код) пользователя - автора ревизии.
    Overrides:
      `getUserId` in class `Script`
    Returns:
      userId(код).

  - ### setUserId

    public void setUserId​(int userId)
    Description copied from class: `Script`
    Устанавливает userID(код) пользователя - автора ревизии.
    Overrides:
      `setUserId` in class `Script`

  - ### getUserTitle

    public java.lang.String getUserTitle()

  - ### setUserTitle

    public void setUserTitle​(java.lang.String userTitle)